Bug 51368 - EDITING: CRASH when Merge Cells with "move contents" and first of merged Cells is involved in calculation
Summary: EDITING: CRASH when Merge Cells with "move contents" and first of merged Cell...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium blocker
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:3.6.0.0.beta3 target:3.7.0...
Keywords:
Depends on:
Blocks: Calc-Merge-Split mab3.6
  Show dependency treegraph
 
Reported: 2012-06-23 20:48 UTC by Stefan
Modified: 2019-12-07 19:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Problematic document. See "Clothing Gear" Tab, Cells E28 and E29. (24.24 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-06-23 20:48 UTC, Stefan
Details
Simple Sample (11.36 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-06-23 23:19 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan 2012-06-23 20:48:39 UTC
Created attachment 63389 [details]
Problematic document. See "Clothing Gear" Tab, Cells E28 and E29.

Problem description: I have a situation where I am attempting to merge two cells. A dialog pops up and asks "Should the contents of the hidden cell be moved into the first cell?" If I press "No" the merge goes on as expected and doesn't crash libre office. If I press "Yes" Libre office closes immediately.

I've attached a sample file, as I cannot reproduce this with a new spreadsheet (I don't know how to make a cell "hidden"). They are things I plan to buy for my motorcycle, it isn't formatted purdy!

Steps to reproduce:
1. In the file "klr_Shopping_List.ods" (attached), on the tab "Clothing Gear" (tab 6 of 8) cells E28 and E29 are the suspects here.  
2. If you merge these two cells together (same problem occurs if you delete the contents of the cells before merging) then answer yes to the "Should the contents of the hidden cell be moved into the first cell?" dialog, then libreoffice immediately shuts down.

Current behavior: LibreOffice closes immediately without warning

Expected behavior: Two cells merge. Libre office does not close.

Platform (if different from the browser): Open Suse 11.4, Libre Office Version 3.6.0beta1 (Build ID: 1f1cdd8)
              
Browser: Mozilla/5.0 (X11; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 Rainer Bielefeld Retired 2012-06-23 23:16:39 UTC
Reproducible too with a more simple document created from the scratch.

CRASH always when first of the merged cells is involved in a calculation and if you select"move contents to first cell"

Arleady [Reproducible] 
with Server installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7175cee]" (tinderbox: Win-x86@6-fast, pull time 2012-05-16 22:07:37)

Still worked fine
with "LOdev 3.6.0alpha0+  English UI/Locale [Build ID: 9518535-d09cf17-8a74106-c695ecd-16afab (libreoffice-3-5-branch-point)]"  {Win-x86@9-Voreppe Win32 pull time 2012-02-29 04:21:51}. OS: German WIN7 Home Premium (64bit) 

Appearance of bug might be before end of Bibisecting range 2012-04-27 16:12:32 (GMT).

Plausible simple proceeding, so blocker

markus.mohrhard@googlemail.com:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 2 Rainer Bielefeld Retired 2012-06-23 23:19:13 UTC
Created attachment 63390 [details]
Simple Sample
Comment 3 Not Assigned 2012-06-24 15:56:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=72ea3b0e6e3381384fce8d18b00e930f62772921&g=libreoffice-3-6

if no new cell exists, create hidden broadcaster cell, fdo#51368


It will be available in LibreOffice 3.6.
Comment 4 Not Assigned 2012-06-24 15:57:06 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4e2a95a2f7376c36c1241f91a55021fc856c758

if no new cell exists, create hidden broadcaster cell, fdo#51368
Comment 5 Commit Notification 2018-02-25 14:58:47 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=218bd65271cf9d94e6a47b61c83883eea1885317

uitest Calc merged cells- tdf#51368 tdf#105412 tdf#37901 tdf#51368 tdf#63766

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-02-25 14:59:05 UTC Comment hidden (obsolete)
Comment 7 raal 2019-12-07 19:25:15 UTC
The test exist, set status to Verified.